Package io.vertx.ext.mongo

## Enum WriteOption

- java.lang.Object
- - java.lang.Enum<WriteOption>
  - - io.vertx.ext.mongo.WriteOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<WriteOption>`

      public enum WriteOption
      extends Enum<WriteOption>

  Enum representing the mongoDB Java Driver's `WriteConcern`
  Author:
    Nick Scavelli

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACKNOWLEDGED` |
    `FSYNCED` |
    `JOURNALED` |
    `MAJORITY` |
    `REPLICA_ACKNOWLEDGED` |
    `UNACKNOWLEDGED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WriteOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WriteOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACKNOWLEDGED

          public static final WriteOption ACKNOWLEDGED

      See Also:
        `WriteConcern.ACKNOWLEDGED`

    - #### UNACKNOWLEDGED

          public static final WriteOption UNACKNOWLEDGED

      See Also:
        `WriteConcern.UNACKNOWLEDGED`

    - #### FSYNCED

          public static final WriteOption FSYNCED

      See Also:
        `com.mongodb.WriteConcern#FSYNCED`

    - #### JOURNALED

          public static final WriteOption JOURNALED

      See Also:
        `WriteConcern.JOURNALED`

    - #### REPLICA_ACKNOWLEDGED

          public static final WriteOption REPLICA_ACKNOWLEDGED

      See Also:
        `com.mongodb.WriteConcern#REPLICA_ACKNOWLEDGED`

    - #### MAJORITY

          public static final WriteOption MAJORITY

      See Also:
        `WriteConcern.MAJORITY`

  - ### Method Detail

    - #### values

          public static WriteOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WriteOption c : WriteOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WriteOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null